import React, { Component } from 'react'

import { Form, Input, DatePicker, Row, Col, Button, Icon, Select } from 'antd';
import { InputSize, Currency, FormatAmount } from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T22N extends Component {

    name = '22N'
    desp = "Transaction Identifier"
    pattern = "32x"
    tno = -1


    keys = [1]
    onChange = (index, value) => {
        let obj = {};
        if (!value)
            value = ""

        let objtemp = this.props.value

        objtemp = objtemp && objtemp.length ? objtemp[0] : {}

        objtemp["s" + index] = value;

        this.keys.forEach(i => {
            obj['s' + i] = objtemp['s' + i]
        });

        let mval = `${obj.s1}`

        this.props.onValue([obj, mval])
    }

    render() {
        let value = this.props.value

        let mval = value && value.length ? value[1] : ''
        let errmsg = value && value.length == 3 ? value[2] : {}

        value = value && value.length ? value[0] : {}


        return (<Row>

            <Col style={{ "minWidth": '350px' }} span={3}>
                <FormItem
                    label=""
                    required={this.props.status == 'M' || mval ? 'required' : null}
                    help={errmsg.s1}
                    validateStatus={errmsg.s1 ? 'error' : null}
                >
                    <Input value={value.s1} onChange={e => this.onChange(1, e.target.value)} maxLength={32} style={{ imeMode: 'disabled' }} placeholder="" />
                </FormItem>
            </Col>

        </Row>)
    }
}